Seite 1 von 1

pgAdmin 4 v4.15 + debian Fehler

Verfasst: Fr 29. Nov 2019, 09:58
von pfuetz
Warum werden die Pakete für Debian immer so schlecht geprüft?
[Fri Nov 29 09:32:53.181366 2019] [wsgi:error] [pid 7270] [remote xxxxx:56760] mod_wsgi (pid=7270): Exception occurred processing WSGI script '/usr/share/pgadmin4/web/pgAdmin4.wsgi'.
[Fri Nov 29 09:32:53.181653 2019] [wsgi:error] [pid 7270] [remote xxxxx:56760] Traceback (most recent call last):
[Fri Nov 29 09:32:53.181734 2019] [wsgi:error] [pid 7270] [remote xxxxx:56760] File "/usr/lib/python3/dist-packages/flask/app.py", line 2309, in __call__
[Fri Nov 29 09:32:53.181755 2019] [wsgi:error] [pid 7270] [remote xxxxx:56760] return self.wsgi_app(environ, start_response)
[Fri Nov 29 09:32:53.181782 2019] [wsgi:error] [pid 7270] [remote xxxxx:56760] File "/usr/share/pgadmin4/web/pgAdmin4.py", line 95, in __call__
[Fri Nov 29 09:32:53.181798 2019] [wsgi:error] [pid 7270] [remote xxxxx:56760] return self.app(environ, start_response)
[Fri Nov 29 09:32:53.181846 2019] [wsgi:error] [pid 7270] [remote xxxxx:56760] AttributeError: 'ReverseProxied' object has no attribute 'app'

Re: pgAdmin 4 v4.15 + debian Fehler

Verfasst: Fr 29. Nov 2019, 10:41
von pfuetz
Der Workaround die Datei /usr/share/pgadmin4/web/pgAdmin4.py gegen
https://redmine.postgresql.org/attachme ... gAdmin4.py
zu tauschen funktioniert!

diff pgAdmin4.py pgAdmin4.py-20191129_old
72d71
< self.app = app

Re: pgAdmin 4 v4.15 + debian Fehler

Verfasst: Fr 29. Nov 2019, 11:14
von akretschmer
cool, Danke, daß Du die Lösung teilst.

Re: pgAdmin 4 v4.15 + debian Fehler

Verfasst: Fr 29. Nov 2019, 11:30
von pfuetz
Gerne,
bin ja selber immer froh über schnelle Lösungen/Hilfe! ;)

Re: pgAdmin 4 v4.15 + debian Fehler

Verfasst: Fr 29. Nov 2019, 13:28
von Gisman
Ich betreibe Python-Anwendungen immer in einer eigens angepassten virtuellen Umgebung und installiere die mit pip. Da hat das einwandfrei funktioniert. Nur so als Alternative.